import request from '@/utils/request'

// 优秀毕业生查看专业排名
export function getOwnStuScoreMajorRank(){
	 
	return request({
	  'url': '/comprehensive/biyeapply/getOwnStuScoreMajorRank',
	  'method': 'get'
	})
}

//自己的体测成绩
export function listOwnSportScore(){
	 
	return request({
	  'url': '/comprehensive/biyeapply/listOwnSportScore',
	  'method': 'get'
	})
}


//列出可选学年
export function listEnableYear(){
	 
	return request({
	  'url': '/system/year/listEnableYear',
	  'method': 'get'
	})
}


//列出自己的学业成绩和综合成绩班级排名
export function listOwnScoreClassRank(){
	return request({
	  'url': '/comprehensive/goodapply/listOwnScoreRank',
	  'method': 'get'
	})
}


//列出学业奖学金可用申请类型
export function listXyjxjCanType(){
	return request({
	  'url': '/comprehensive/goodapply/listXyjxjCanType',
	  'method': 'get'
	})
}


//通过申请的奖项类型代码查询自己课程通过的门数
export function getOwnPassCountByCode(code){
	return request({
	  'url': '/comprehensive/goodapply/getOwnPassCountByCode/'+ code,
	  'method': 'get'
	})
}

//通过申请的奖项类型代码查询自己的思想品德扣分项
export function getOwnIamCountByCode(code){ 
	return request({
	  'url': '/comprehensive/goodapply/getOwnIamCountByCode/'+ code,
	  'method': 'get'
	})
}

//通过申请的奖项类型代码查询自己的排名
export function getOwnRankByCode(code) {
  return request({
    method: "GET",
    url: `/comprehensive/goodapply/getOwnRankByCode/${code}`
  });
}

